Substy Developers
Scripts

List creator sales scripts

List the sales scripts configured for one creator, including their ordering and availability settings.

GET/v1/agencies/{agencyId}/creators/{creatorId}/scripts

List the sales scripts configured for one creator, including their ordering and availability settings.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/creators/string/scripts" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": [    {      "enabled": true,      "description": null,      "creatorId": "string",      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "name": "string",      "updatedAt": "2019-08-24T14:15:22Z",      "startTime": null,      "endTime": null,      "position": 0,      "imported": true,      "importedAt": null,      "isCustom": true,      "isAi": true,      "isHuman": true,      "targetFanListIds": [        "string"      ],      "_count": {        "messageTemplates": 0      },      "_stats": {        "totalMedia": 0,        "paidStepMediaCounts": [          0        ],        "totalPrice": 0,        "minPrice": 0,        "maxPrice": 0      }    }  ],  "meta": {    "requestId": "string"  }}